Loading...
Searching...
No Matches
gtklog.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Log viewer. More...

`#include "pidgin.h"`
`#include "log.h"`
`#include "account.h"`

Go to the source code of this file.

## Data Structures

struct | _PidginLogViewer
| A GTK+ Log Viewer. More...

## Typedefs

typedef struct _PidginLogViewer | PidginLogViewer

## Functions

void | pidgin_log_show (PurpleLogType type, const char *buddyname, PurpleAccount *account)
void | pidgin_log_show_contact (PurpleContact *contact)
void | pidgin_syslog_show (void)
GTK+ Log Subsystem
void | pidgin_log_init (void)
| Initializes the GTK+ log subsystem.
void * | pidgin_log_get_handle (void)
| Returns the GTK+ log subsystem handle.
void | pidgin_log_uninit (void)
| Uninitializes the GTK+ log subsystem.

## Detailed Description

GTK+ Log viewer.

See also
  GtkLog Signals

Definition in file gtklog.h.

## Typedef Documentation

## PidginLogViewer

typedef struct _PidginLogViewer PidginLogViewer

Definition at line 35 of file gtklog.h.

## Function Documentation

## pidgin_log_get_handle()

void * pidgin_log_get_handle | ( | void |  | ) |

Returns the GTK+ log subsystem handle.

Returns
  The GTK+ log subsystem handle.